/*
 * Created on Jul 29, 2004
 *
 * This file is licensed under the terms of the Artistic License as
 * described at http://www.opensource.org/licenses/artistic-license.php
 *
 * Use and/or redistribution under the terms of the GNU Lesser GPL
 * (http://www.opensource.org/licenses/lgpl-license.php) is also allowed.
 */
package com.blackperl.Perl;

import junit.framework.TestCase;

/**
 * One-line class summary.
 * 
 * Extended description.
 * 
 * @author rjray
 * @version $Id$
 */
public class TrTest extends TestCase
{
    /**
     * Constructor for UcfirstTest.
     * @param name
     */
    public TrTest(String name)
    {
        super(name);
    }

    /*
     * Test the instance() method to ensure that it always returns the same
     * object.
     */
    final public void testInstance()
    {
        // Call instance() twice. See if they match.
        Tr c1 = Tr.instance();
        Tr c2 = Tr.instance();
        
        assertEquals("Test two calls to instance() for equality", c1, c2);
    }
}
