/*
 * Created on Jul 17, 2004
 *
 * This file is licensed under the terms of the Artistic License as
 * described at http://www.opensource.org/licenses/artistic-license.php
 *
 * Use and/or redistribution under the terms of the GNU Lesser GPL
 * (http://www.opensource.org/licenses/lgpl-license.php) is also allowed.
 */
package com.blackperl.Perl;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * JUnit test suite for the Perl package.
 * 
 * This is a wrapper around all the JUnit modules, to allow testing of the
 * whole package at once.
 * 
 * @author rjray
 * @version $Id: TestAll.java,v 1.3 2004/07/20 08:31:18 rjray Exp $
 */
public class TestAll
{
    private TestAll()
    {
    }
    
    public static void main(String[] args)
    {
        junit.textui.TestRunner.run(TestAll.suite());
    }

    public static Test suite()
    {
        TestSuite suite = new TestSuite("Test for com.blackperl.Perl");
        //$JUnit-BEGIN$
        suite.addTestSuite(JoinTest.class);
        suite.addTestSuite(LcfirstTest.class);
        suite.addTestSuite(ChopTest.class);
        suite.addTestSuite(GrepTest.class);
        suite.addTestSuite(UcfirstTest.class);
        suite.addTestSuite(ChompTest.class);
        suite.addTestSuite(MapTest.class);
        //$JUnit-END$
        return suite;
    }
}
